Barcode2DWithSoft.ScanerParamNum

com.zebra.adc.decoder

## Class Barcode2DWithSoft.ScanerParamNum

- java.lang.Object
- - com.zebra.adc.decoder.Barcode2DWithSoft.ScanerParamNum

- Enclosing class:
    Barcode2DWithSoft

      public static class Barcode2DWithSoft.ScanerParamNum
      extends java.lang.Object

  扫描头参数编号(只支持moto扫描头)
  Scanning module parameter codes( supports MOTO scanning module only)
  Author:
    liuruifeng

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `AIMID_SUPP_FORMAT`
    `static short` | `AIMMODEHANDSFREE`
    `static short` | `AZTEC`
    `static short` | `AZTEC_INVERSE`
    `static short` | `BOOKLAND`
    `static short` | `BOOKLAND_FORMAT`
    `static short` | `C11_CHK_TYPE`
    `static short` | `C11_LEN1`
    `static short` | `C11_LEN2`
    `static short` | `C128_LEN1`
    `static short` | `C128_LEN2`
    `static short` | `C25`
    `static short` | `C32_PREFIX`
    `static short` | `C39_CHK_EN`
    `static short` | `C39_FULL_ASCII`
    `static short` | `C39_LEN1`
    `static short` | `C39_LEN2`
    `static short` | `C93_LEN1`
    `static short` | `C93_LEN2`
    `static short` | `CBR_LEN1`
    `static short` | `CBR_LEN2`
    `static short` | `CCAB_ENABLE`
    `static short` | `CCC_ENABLE`
    `static short` | `CELL_DISPLAY_MODE`
    `static short` | `CHECK_ISBT_TABLE`
    `static short` | `CLSI`
    `static short` | `CODABAR`
    `static short` | `CODE11`
    `static short` | `CODE128`
    `static short` | `CODE32`
    `static short` | `CODE39`
    `static short` | `CODE93`
    `static short` | `COUPON`
    `static short` | `COUPON_REPORT`
    `static short` | `D25`
    `static short` | `D25_LEN1`
    `static short` | `D25_LEN2`
    `static short` | `DATABAR_LIM_SEC_LEV`
    `static short` | `DATAMATRIX`
    `static short` | `DATAMATRIX_INVERSE`
    `static short` | `DEMOTE_RSS`
    `static short` | `EAN128`
    `static short` | `EAN13`
    `static short` | `EAN8`
    `static short` | `EAN8_TO_13`
    `static short` | `EMUL_EAN128`
    `static short` | `EMUL_UCCEAN128`
    `static short` | `ENABLE_HANXIN`
    `static short` | `FULL_READ_MODE`
    `static short` | `HANXIN_INVERSE`
    `static short` | `I25`
    `static short` | `I25_CHK_TYPE`
    `static short` | `I25_LEN1`
    `static short` | `I25_LEN2`
    `static short` | `I25_TO_EAN13`
    `static short` | `IMAGE_SIG_JPEG_QUALITY`
    `static short` | `IMG_AIM_MODE`
    `static short` | `IMG_AIM_SNAPSHOT`
    `static short` | `IMG_BPP`
    `static short` | `IMG_CROP`
    `static short` | `IMG_CROP_BOT`
    `static short` | `IMG_CROP_LEFT`
    `static short` | `IMG_CROP_RIGHT`
    `static short` | `IMG_CROP_TOP`
    `static short` | `IMG_ENHANCEMENT`
    `static short` | `IMG_FILE_FORMAT`
    `static short` | `IMG_ILLUM`
    `static short` | `IMG_IMAGE_ILLUM`
    `static short` | `IMG_JPEG_QUAL`
    `static short` | `IMG_MOTIONILLUM`
    `static short` | `IMG_SIG_BPP`
    `static short` | `IMG_SIG_FMT`
    `static short` | `IMG_SNAPTIMEOUT`
    `static short` | `IMG_SUBSAMPLE`
    `static short` | `IMG_VIDEOVF`
    `static short` | `ISBT_128`
    `static short` | `ISBT_CONCAT_MODE`
    `static short` | `ISBT_MAX_TRY`
    `static short` | `ISSN_EAN_EN`
    `static short` | `K35`
    `static short` | `LASER_OFF_PRIM`
    `static short` | `LASER_ON_PRIM`
    `static short` | `LIN_SEC_LEV`
    `static short` | `MARGIN_RATIO`
    `static short` | `MATRIX_25_CHK_EN`
    `static short` | `MATRIX_25_EN`
    `static short` | `MATRIX_25_LEN1`
    `static short` | `MATRIX_25_LEN2`
    `static short` | `MATRIX_25_REDUN`
    `static short` | `MATRIX_25_XMIT_CHK`
    `static short` | `MAXICODE`
    `static short` | `MIRROR_IMAGE`
    `static short` | `MSI`
    `static short` | `MSI_CHK_1_2`
    `static short` | `MSI_CHK_SCHEME`
    `static short` | `MSI_LEN1`
    `static short` | `MSI_LEN2`
    `static short` | `MULTI_DECODE`
    `static short` | `NOTIS`
    `static short` | `NUM_BR_TO_READ`
    `static short` | `ONE_D_INVERSE`
    `static short` | `PDF`
    `static short` | `PICKLIST_MODE`
    `static short` | `POST_AUS_FMT`
    `static short` | `POST_UK`
    `static short` | `POST_UK_PARITY`
    `static short` | `POST_US_PARITY`
    `static short` | `POST_US1`
    `static short` | `POST_US2`
    `static short` | `POST_US3`
    `static short` | `POST_US4`
    `static short` | `POSTAL_AUS`
    `static short` | `POSTAL_DUTCH`
    `static short` | `POSTAL_JAP`
    `static short` | `PRIM_TRIG_MODE`
    `static short` | `QR_INVERSE`
    `static short` | `QRCODE`
    `static short` | `RETRIEVE_LAST_DECODE`
    `static short` | `RSS_14`
    `static short` | `RSS_EXP`
    `static short` | `RSS_LIM`
    `static short` | `SECURITY_LEVEL`
    `static short` | `SIGCAP_HEIGHT`
    `static short` | `SIGCAP_WIDTH`
    `static short` | `SIGNATURE`
    `static short` | `SUPP_REDUN`
    `static short` | `SUPP_USER_1`
    `static short` | `SUPP_USER_2`
    `static short` | `SUPPS`
    `static short` | `TCIF`
    `static short` | `TRIOPTIC`
    `static short` | `UPC_COMPOSITE`
    `static short` | `UPC_SEC_LEV`
    `static short` | `UPCA`
    `static short` | `UPCA_CHK`
    `static short` | `UPCA_PREAM`
    `static short` | `UPCE`
    `static short` | `UPCE_CHK`
    `static short` | `UPCE_PREAM`
    `static short` | `UPCE_TO_A`
    `static short` | `UPCE1`
    `static short` | `UPCE1_CHK`
    `static short` | `UPCE1_PREAM`
    `static short` | `UPCE1_TO_A`
    `static short` | `UPDF`
    `static short` | `UQR_EN`
    `static short` | `VIDEO_SUBSMAPLE`
    `static short` | `XMIT_C11_CHK`
    `static short` | `XMIT_C39_CHK`
    `static short` | `XMIT_CODE_ID`
    `static short` | `XMIT_I25_CHK`
    `static short` | `XMIT_MSI_CHK`
    `static short` | `XMIT_NO_READ`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScanerParamNum()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CODE39

          public static final short CODE39

      See Also:
        Constant Field Values

    - #### UPCA

          public static final short UPCA

      See Also:
        Constant Field Values

    - #### UPCE

          public static final short UPCE

      See Also:
        Constant Field Values

    - #### EAN13

          public static final short EAN13

      See Also:
        Constant Field Values

    - #### EAN8

          public static final short EAN8

      See Also:
        Constant Field Values

    - #### D25

          public static final short D25

      See Also:
        Constant Field Values

    - #### I25

          public static final short I25

      See Also:
        Constant Field Values

    - #### CODABAR

          public static final short CODABAR

      See Also:
        Constant Field Values

    - #### CODE128

          public static final short CODE128

      See Also:
        Constant Field Values

    - #### CODE93

          public static final short CODE93

      See Also:
        Constant Field Values

    - #### CODE11

          public static final short CODE11

      See Also:
        Constant Field Values

    - #### MSI

          public static final short MSI

      See Also:
        Constant Field Values

    - #### UPCE1

          public static final short UPCE1

      See Also:
        Constant Field Values

    - #### TRIOPTIC

          public static final short TRIOPTIC

      See Also:
        Constant Field Values

    - #### EAN128

          public static final short EAN128

      See Also:
        Constant Field Values

    - #### PDF

          public static final short PDF

      See Also:
        Constant Field Values

    - #### SUPPS

          public static final short SUPPS

      See Also:
        Constant Field Values

    - #### C39_FULL_ASCII

          public static final short C39_FULL_ASCII

      See Also:
        Constant Field Values

    - #### C39_LEN1

          public static final short C39_LEN1

      See Also:
        Constant Field Values

    - #### C39_LEN2

          public static final short C39_LEN2

      See Also:
        Constant Field Values

    - #### D25_LEN1

          public static final short D25_LEN1

      See Also:
        Constant Field Values

    - #### D25_LEN2

          public static final short D25_LEN2

      See Also:
        Constant Field Values

    - #### I25_LEN1

          public static final short I25_LEN1

      See Also:
        Constant Field Values

    - #### I25_LEN2

          public static final short I25_LEN2

      See Also:
        Constant Field Values

    - #### CBR_LEN1

          public static final short CBR_LEN1

      See Also:
        Constant Field Values

    - #### CBR_LEN2

          public static final short CBR_LEN2

      See Also:
        Constant Field Values

    - #### C93_LEN1

          public static final short C93_LEN1

      See Also:
        Constant Field Values

    - #### C93_LEN2

          public static final short C93_LEN2

      See Also:
        Constant Field Values

    - #### C11_LEN1

          public static final short C11_LEN1

      See Also:
        Constant Field Values

    - #### C11_LEN2

          public static final short C11_LEN2

      See Also:
        Constant Field Values

    - #### MSI_LEN1

          public static final short MSI_LEN1

      See Also:
        Constant Field Values

    - #### MSI_LEN2

          public static final short MSI_LEN2

      See Also:
        Constant Field Values

    - #### UPCA_PREAM

          public static final short UPCA_PREAM

      See Also:
        Constant Field Values

    - #### UPCE_PREAM

          public static final short UPCE_PREAM

      See Also:
        Constant Field Values

    - #### UPCE1_PREAM

          public static final short UPCE1_PREAM

      See Also:
        Constant Field Values

    - #### UPCE_TO_A

          public static final short UPCE_TO_A

      See Also:
        Constant Field Values

    - #### UPCE1_TO_A

          public static final short UPCE1_TO_A

      See Also:
        Constant Field Values

    - #### EAN8_TO_13

          public static final short EAN8_TO_13

      See Also:
        Constant Field Values

    - #### UPCA_CHK

          public static final short UPCA_CHK

      See Also:
        Constant Field Values

    - #### UPCE_CHK

          public static final short UPCE_CHK

      See Also:
        Constant Field Values

    - #### UPCE1_CHK

          public static final short UPCE1_CHK

      See Also:
        Constant Field Values

    - #### XMIT_C39_CHK

          public static final short XMIT_C39_CHK

      See Also:
        Constant Field Values

    - #### XMIT_I25_CHK

          public static final short XMIT_I25_CHK

      See Also:
        Constant Field Values

    - #### XMIT_CODE_ID

          public static final short XMIT_CODE_ID

      See Also:
        Constant Field Values

    - #### XMIT_MSI_CHK

          public static final short XMIT_MSI_CHK

      See Also:
        Constant Field Values

    - #### XMIT_C11_CHK

          public static final short XMIT_C11_CHK

      See Also:
        Constant Field Values

    - #### C39_CHK_EN

          public static final short C39_CHK_EN

      See Also:
        Constant Field Values

    - #### I25_CHK_TYPE

          public static final short I25_CHK_TYPE

      See Also:
        Constant Field Values

    - #### MSI_CHK_1_2

          public static final short MSI_CHK_1_2

      See Also:
        Constant Field Values

    - #### MSI_CHK_SCHEME

          public static final short MSI_CHK_SCHEME

      See Also:
        Constant Field Values

    - #### C11_CHK_TYPE

          public static final short C11_CHK_TYPE

      See Also:
        Constant Field Values

    - #### CLSI

          public static final short CLSI

      See Also:
        Constant Field Values

    - #### NOTIS

          public static final short NOTIS

      See Also:
        Constant Field Values

    - #### UPC_SEC_LEV

          public static final short UPC_SEC_LEV

      See Also:
        Constant Field Values

    - #### LIN_SEC_LEV

          public static final short LIN_SEC_LEV

      See Also:
        Constant Field Values

    - #### SUPP_REDUN

          public static final short SUPP_REDUN

      See Also:
        Constant Field Values

    - #### I25_TO_EAN13

          public static final short I25_TO_EAN13

      See Also:
        Constant Field Values

    - #### BOOKLAND

          public static final short BOOKLAND

      See Also:
        Constant Field Values

    - #### ISBT_128

          public static final short ISBT_128

      See Also:
        Constant Field Values

    - #### COUPON

          public static final short COUPON

      See Also:
        Constant Field Values

    - #### CODE32

          public static final short CODE32

      See Also:
        Constant Field Values

    - #### POST_US1

          public static final short POST_US1

      See Also:
        Constant Field Values

    - #### POST_US2

          public static final short POST_US2

      See Also:
        Constant Field Values

    - #### POST_UK

          public static final short POST_UK

      See Also:
        Constant Field Values

    - #### SIGNATURE

          public static final short SIGNATURE

      See Also:
        Constant Field Values

    - #### XMIT_NO_READ

          public static final short XMIT_NO_READ

      See Also:
        Constant Field Values

    - #### POST_US_PARITY

          public static final short POST_US_PARITY

      See Also:
        Constant Field Values

    - #### POST_UK_PARITY

          public static final short POST_UK_PARITY

      See Also:
        Constant Field Values

    - #### EMUL_EAN128

          public static final short EMUL_EAN128

      See Also:
        Constant Field Values

    - #### LASER_ON_PRIM

          public static final short LASER_ON_PRIM

      See Also:
        Constant Field Values

    - #### LASER_OFF_PRIM

          public static final short LASER_OFF_PRIM

      See Also:
        Constant Field Values

    - #### PRIM_TRIG_MODE

          public static final short PRIM_TRIG_MODE

      See Also:
        Constant Field Values

    - #### C128_LEN1

          public static final short C128_LEN1

      See Also:
        Constant Field Values

    - #### C128_LEN2

          public static final short C128_LEN2

      See Also:
        Constant Field Values

    - #### ISBT_MAX_TRY

          public static final short ISBT_MAX_TRY

      See Also:
        Constant Field Values

    - #### UPDF

          public static final short UPDF

      See Also:
        Constant Field Values

    - #### C32_PREFIX

          public static final short C32_PREFIX

      See Also:
        Constant Field Values

    - #### POSTAL_JAP

          public static final short POSTAL_JAP

      See Also:
        Constant Field Values

    - #### POSTAL_AUS

          public static final short POSTAL_AUS

      See Also:
        Constant Field Values

    - #### DATAMATRIX

          public static final short DATAMATRIX

      See Also:
        Constant Field Values

    - #### QRCODE

          public static final short QRCODE

      See Also:
        Constant Field Values

    - #### MAXICODE

          public static final short MAXICODE

      See Also:
        Constant Field Values

    - #### IMG_ILLUM

          public static final short IMG_ILLUM

      See Also:
        Constant Field Values

    - #### IMG_AIM_SNAPSHOT

          public static final short IMG_AIM_SNAPSHOT

      See Also:
        Constant Field Values

    - #### IMG_CROP

          public static final short IMG_CROP

      See Also:
        Constant Field Values

    - #### IMG_SUBSAMPLE

          public static final short IMG_SUBSAMPLE

      See Also:
        Constant Field Values

    - #### IMG_BPP

          public static final short IMG_BPP

      See Also:
        Constant Field Values

    - #### IMG_FILE_FORMAT

          public static final short IMG_FILE_FORMAT

      See Also:
        Constant Field Values

    - #### IMG_JPEG_QUAL

          public static final short IMG_JPEG_QUAL

      See Also:
        Constant Field Values

    - #### IMG_AIM_MODE

          public static final short IMG_AIM_MODE

      See Also:
        Constant Field Values

    - #### IMG_SIG_FMT

          public static final short IMG_SIG_FMT

      See Also:
        Constant Field Values

    - #### IMG_SIG_BPP

          public static final short IMG_SIG_BPP

      See Also:
        Constant Field Values

    - #### IMG_CROP_TOP

          public static final short IMG_CROP_TOP

      See Also:
        Constant Field Values

    - #### IMG_CROP_LEFT

          public static final short IMG_CROP_LEFT

      See Also:
        Constant Field Values

    - #### IMG_CROP_BOT

          public static final short IMG_CROP_BOT

      See Also:
        Constant Field Values

    - #### IMG_CROP_RIGHT

          public static final short IMG_CROP_RIGHT

      See Also:
        Constant Field Values

    - #### IMG_SNAPTIMEOUT

          public static final short IMG_SNAPTIMEOUT

      See Also:
        Constant Field Values

    - #### IMG_VIDEOVF

          public static final short IMG_VIDEOVF

      See Also:
        Constant Field Values

    - #### POSTAL_DUTCH

          public static final short POSTAL_DUTCH

      See Also:
        Constant Field Values

    - #### RSS_14

          public static final short RSS_14

      See Also:
        Constant Field Values

    - #### RSS_LIM

          public static final short RSS_LIM

      See Also:
        Constant Field Values

    - #### RSS_EXP

          public static final short RSS_EXP

      See Also:
        Constant Field Values

    - #### CCC_ENABLE

          public static final short CCC_ENABLE

      See Also:
        Constant Field Values

    - #### CCAB_ENABLE

          public static final short CCAB_ENABLE

      See Also:
        Constant Field Values

    - #### UPC_COMPOSITE

          public static final short UPC_COMPOSITE

      See Also:
        Constant Field Values

    - #### IMG_IMAGE_ILLUM

          public static final short IMG_IMAGE_ILLUM

      See Also:
        Constant Field Values

    - #### SIGCAP_WIDTH

          public static final short SIGCAP_WIDTH

      See Also:
        Constant Field Values

    - #### SIGCAP_HEIGHT

          public static final short SIGCAP_HEIGHT

      See Also:
        Constant Field Values

    - #### TCIF

          public static final short TCIF

      See Also:
        Constant Field Values

    - #### MARGIN_RATIO

          public static final short MARGIN_RATIO

      See Also:
        Constant Field Values

    - #### DEMOTE_RSS

          public static final short DEMOTE_RSS

      See Also:
        Constant Field Values

    - #### PICKLIST_MODE

          public static final short PICKLIST_MODE

      See Also:
        Constant Field Values

    - #### C25

          public static final short C25

      See Also:
        Constant Field Values

    - #### IMAGE_SIG_JPEG_QUALITY

          public static final short IMAGE_SIG_JPEG_QUALITY

      See Also:
        Constant Field Values

    - #### EMUL_UCCEAN128

          public static final short EMUL_UCCEAN128

      See Also:
        Constant Field Values

    - #### MIRROR_IMAGE

          public static final short MIRROR_IMAGE

      See Also:
        Constant Field Values

    - #### IMG_ENHANCEMENT

          public static final short IMG_ENHANCEMENT

      See Also:
        Constant Field Values

    - #### UQR_EN

          public static final short UQR_EN

      See Also:
        Constant Field Values

    - #### AZTEC

          public static final short AZTEC

      See Also:
        Constant Field Values

    - #### BOOKLAND_FORMAT

          public static final short BOOKLAND_FORMAT

      See Also:
        Constant Field Values

    - #### ISBT_CONCAT_MODE

          public static final short ISBT_CONCAT_MODE

      See Also:
        Constant Field Values

    - #### CHECK_ISBT_TABLE

          public static final short CHECK_ISBT_TABLE

      See Also:
        Constant Field Values

    - #### SUPP_USER_1

          public static final short SUPP_USER_1

      See Also:
        Constant Field Values

    - #### SUPP_USER_2

          public static final short SUPP_USER_2

      See Also:
        Constant Field Values

    - #### K35

          public static final short K35

      See Also:
        Constant Field Values

    - #### ONE_D_INVERSE

          public static final short ONE_D_INVERSE

      See Also:
        Constant Field Values

    - #### QR_INVERSE

          public static final short QR_INVERSE

      See Also:
        Constant Field Values

    - #### DATAMATRIX_INVERSE

          public static final short DATAMATRIX_INVERSE

      See Also:
        Constant Field Values

    - #### AZTEC_INVERSE

          public static final short AZTEC_INVERSE

      See Also:
        Constant Field Values

    - #### AIMMODEHANDSFREE

          public static final short AIMMODEHANDSFREE

      See Also:
        Constant Field Values

    - #### POST_US3

          public static final short POST_US3

      See Also:
        Constant Field Values

    - #### POST_US4

          public static final short POST_US4

      See Also:
        Constant Field Values

    - #### ISSN_EAN_EN

          public static final short ISSN_EAN_EN

      See Also:
        Constant Field Values

    - #### MATRIX_25_EN

          public static final short MATRIX_25_EN

      See Also:
        Constant Field Values

    - #### MATRIX_25_LEN1

          public static final short MATRIX_25_LEN1

      See Also:
        Constant Field Values

    - #### MATRIX_25_LEN2

          public static final short MATRIX_25_LEN2

      See Also:
        Constant Field Values

    - #### MATRIX_25_REDUN

          public static final short MATRIX_25_REDUN

      See Also:
        Constant Field Values

    - #### MATRIX_25_CHK_EN

          public static final short MATRIX_25_CHK_EN

      See Also:
        Constant Field Values

    - #### MATRIX_25_XMIT_CHK

          public static final short MATRIX_25_XMIT_CHK

      See Also:
        Constant Field Values

    - #### AIMID_SUPP_FORMAT

          public static final short AIMID_SUPP_FORMAT

      See Also:
        Constant Field Values

    - #### CELL_DISPLAY_MODE

          public static final short CELL_DISPLAY_MODE

      See Also:
        Constant Field Values

    - #### POST_AUS_FMT

          public static final short POST_AUS_FMT

      See Also:
        Constant Field Values

    - #### DATABAR_LIM_SEC_LEV

          public static final short DATABAR_LIM_SEC_LEV

      See Also:
        Constant Field Values

    - #### COUPON_REPORT

          public static final short COUPON_REPORT

      See Also:
        Constant Field Values

    - #### VIDEO_SUBSMAPLE

          public static final short VIDEO_SUBSMAPLE

      See Also:
        Constant Field Values

    - #### IMG_MOTIONILLUM

          public static final short IMG_MOTIONILLUM

      See Also:
        Constant Field Values

    - #### MULTI_DECODE

          public static final short MULTI_DECODE

      See Also:
        Constant Field Values

    - #### FULL_READ_MODE

          public static final short FULL_READ_MODE

      See Also:
        Constant Field Values

    - #### NUM_BR_TO_READ

          public static final short NUM_BR_TO_READ

      See Also:
        Constant Field Values

    - #### RETRIEVE_LAST_DECODE

          public static final short RETRIEVE_LAST_DECODE

      See Also:
        Constant Field Values

    - #### SECURITY_LEVEL

          public static final short SECURITY_LEVEL

      See Also:
        Constant Field Values

    - #### ENABLE_HANXIN

          public static final short ENABLE_HANXIN

      See Also:
        Constant Field Values

    - #### HANXIN_INVERSE

          public static final short HANXIN_INVERSE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScanerParamNum

          public ScanerParamNum()